<?php

define('SKIP_KOHANA', true);
require('/opt/monitor/op5/ninja/index.php');

require_once('include/webconfig.inc.php');
require_once('include/config.inc.php');
require_once('classes/common_gui.php');

nacoma_objlock::die_if_locked_hard();

$input = new input_nacoma_Model();

$path = $_SERVER['PATH_INFO'];
preg_match('/^\/([^\/]+)/', $path, $matches);
$page_name = $matches[1];
$action = $input->action;
if (!$action) {
	$action = 'index';

}

if (is_file('classes/controllers/'.$page_name.'.php')) {
	require_once('classes/controllers/'.$page_name.'.php');
	$classname = $page_name.'_controller';
	$obj = new $classname($input);
	if(strtolower($action) == 'submit') {
		if($_SERVER['REQUEST_METHOD'] != 'POST') {
			return base_controller::redirect($page_name, 'index');
		}
	} else {
		if (isset($obj->name) && $obj->name) {
			$page->html_start($obj->name);
		} else {
			$page->html_start(ucwords($page_name));
		}
	}
   $confirmed=1;
   $hg_ids = $input->selection[hostgroup];
   foreach ($hg_ids as $id) {
				$hg_obj = new hostgroup_nacoma_model($id);
				$name = $hg_obj->get_object_name();
       if(is_poller_hostgroup($name) && isset($input->selection['hostgroup']) && !$input->get_string('force')){
            $confirmed=0;
             
            echo  '<img src="images/icons/shield-warning_24x24.png" class="shield_warning" alt="" />';
            echo '<h1>Requested Hostgroup Delete Action</h1>';
            echo ' <form method="POST" action="">';
            echo '<p>You may not delete this hostgroup for the following reasons:</p>';
            echo "<p>CRITICAL This poller hostgroup $name requires additional configuration in other configuration location </p>";
            echo $input->as_form_elements();
           echo '<input type="hidden" name="force" value="force" />';
           echo '<input type="submit" name="action" value="Delete" />';
           echo '<input onclick="return goBack()" type="submit" value="back" />';
          
          

       }
  } 
if($confirmed){
	$obj->$action();
}

} else {
	$location = dirname($_SERVER['SCRIPT_NAME']).$_SERVER['PATH_INFO'];
	if (isset($_SERVER['QUERY_STRING']))
		$location .= '?'.$_SERVER['QUERY_STRING'];
	header('Location: '.$location);
	exit(1);
}
$page->html_end();
