	function printHelp(d, vars){
		if(d.length < 1) { return; }
		var dd = document.getElementById(d);
		var argv = printHelp.arguments;
		var layerend = '</td></tr></tbody></table>';
		var layerstart = '<table cellspacing="0" cellpadding="0" class="max">';
		var layer_vars = '';
		var desc = '';

		layerstart += '<thead><tr class="header"><td colspan="2">Variables</td></tr></thead><tbody id="helpTableContent">';

		var argc = argv.length;
		for (var i = 1; i < argc; i++) {
			desc = helper.helptexts[argv[i]] ? helper.helptexts[argv[i]] : '-- description missing --';
			layer_vars += '<tr><td>' + argv[i] + '</td><td>' + desc + '</td></tr>';
		}

		dd.innerHTML = layerstart + layer_vars + layerend;
		alternate('helpTableContent');
		dd.style.display = "block";
	}

	/**
	*	Loop through table and alternate row color
	*/
	function alternate(id){
		if(document.getElementsByTagName){
			var table = document.getElementById(id);
			var rows = table.getElementsByTagName("tr");
			for(i = 0; i < rows.length; i++){
				//manipulate rows
				if(i % 2 === 0){
					rows[i].className = "even";
				}else{
					rows[i].className = "odd";
				}
			}
		}
	}

	/**
	*	Toggle the display of help table...
	*/
	function toggleVarHelp(d){

		if(d.length < 1) { return; }
		var dd = document.getElementById(d);
		var lnk = document.getElementById('toggle');
		if(dd.style.display == "none") {
			dd.style.display = "block";
			lnk.innerHTML = "Hide variables";
		} else {
			dd.style.display = "none";
			document.getElementById('helpContent').style.display = 'none';
			lnk.innerHTML = "Show variables";
		}
	}
