$(function() {
	$('.toggle_metadata_desc').on('click', function(ev, action) {
		var link = $(this);
		var sign = link.find('span');
		if(typeof action === 'undefined' || (action !== 'show' && action !== 'hide')) {
			action = 'toggle';
			sign.text(sign.text() === '+' ? '-' : '+');
		} else if(action === 'show') {
			sign.text('-');
		} else if(action === 'hide') {
			sign.text('+');
		}
		var content = link
			.parents('tr')
			.next()
			.find('div')
				[action](); // expands to .toggle(), .hide() or .show()
		ev.preventDefault();
	});
	$('.toggle_all').click(function(ev) {
		ev.preventDefault();
		var button = $(this);
		var select_all = 'Select&nbsp;All';
		var unselect_all = 'Unselect&nbsp;All';
		var commands = button.data('commands');
		if(button.html() == select_all) {
			$('#commands_'+commands)
				.find('input[type=checkbox]')
					.prop('checked', true);
			button.html(unselect_all);
		} else {
			$('#commands_'+commands)
				.find('input[type=checkbox]')
					.prop('checked', false);
			button.html(select_all);
		}
		$('#commands_'+commands)
			.find('.toggle_metadata_desc')
				.trigger('click', ['show']);
	});
	$('#toggle_all_new_metadata').click(function(ev) {
		ev.preventDefault();
		$('#commands_new .toggle_metadata_desc').trigger('click');
	});
});
